GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
gdcm::NestedModuleEntries Class Reference

Class for representing a NestedModuleEntries. More...

`#include <gdcmNestedModuleEntries.h>`

Inheritance diagram for gdcm::NestedModuleEntries:
[legend]
Collaboration diagram for gdcm::NestedModuleEntries:
[legend]

## Public Types

typedef std::vector < ModuleEntry >::size_type | SizeType
Public Types inherited from gdcm::ModuleEntry
typedef std::string | Description

## Public Member Functions

| NestedModuleEntries (const char *name="", const char *type="3", const char *description="")
void | AddModuleEntry (const ModuleEntry &me)
const ModuleEntry & | GetModuleEntry (SizeType idx) const
ModuleEntry & | GetModuleEntry (SizeType idx)
SizeType | GetNumberOfModuleEntries ()
Public Member Functions inherited from gdcm::ModuleEntry
| ModuleEntry (const char *name="", const char *type="3", const char *description="")
virtual | ~ModuleEntry ()
const Description & | GetDescription () const
const char * | GetName () const
const Type & | GetType () const
void | SetDescription (const char *d)
void | SetName (const char *name)
void | SetType (const Type &type)

## Friends

std::ostream & | operator<< (std::ostream &_os, const NestedModuleEntries &_val)

## Additional Inherited Members

Protected Attributes inherited from gdcm::ModuleEntry
Type | DataElementType
Description | DescriptionField
std::string | Name

## Detailed Description

Class for representing a NestedModuleEntries.

Note
  bla

See Also
  ModuleEntry

## Member Typedef Documentation

typedef std::vector<ModuleEntry>::size_type gdcm::NestedModuleEntries::SizeType

## Constructor & Destructor Documentation

gdcm::NestedModuleEntries::NestedModuleEntries | ( | const char * | name = `""`,
|  | const char * | type = `"3"`,
|  | const char * | description = `""`
| ) |  |

inline

## Member Function Documentation

void gdcm::NestedModuleEntries::AddModuleEntry | ( | const ModuleEntry & | me | ) |

inline

const ModuleEntry& gdcm::NestedModuleEntries::GetModuleEntry | ( | SizeType | idx | ) | const

inline

ModuleEntry& gdcm::NestedModuleEntries::GetModuleEntry | ( | SizeType | idx | ) |

inline

SizeType gdcm::NestedModuleEntries::GetNumberOfModuleEntries | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const NestedModuleEntries & | _val
| ) |  |

friend

The documentation for this class was generated from the following file:

- gdcmNestedModuleEntries.h